<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body>
<h2>希伯來文鍵盤對照表</h2>
由於信望愛站的字型主要是為了展示，因此打字起來會有點麻煩，這點還請見諒<br />
<?php
require('font.php');
$A=array(34, 60, 62, 63, 58,  69, 73, 79, 85, 92,125);//瘦母音
$B=array(39, 44, 46, 47, 59, 101,105,111,117,124, 93);//胖母音
$C=array(161,162,163,164,165,166,167,111,168,169,170);//右母音
$TS=array(33,65,71,78,87,89,90,103,110,119,121,122);//瘦子音 配 $A
$SS=array(68,82,100,114);//畸形子音應該要配「右母音」 $C
$FS=array(35,36,37,38,64,94,66,67,70,72,74,75,76,77,80,81,83,84,86,
          88,91,97,98,99,102,104,106,107,108,109,112,113,115,116,117,
          118,120,126); //胖子音配 $B
$UTS=array('ן','וֹ','גּ','נּ','וּ','יּ','זּ','ג','נ','ו','י','ז');
$USS=array('דּ','רּ','ד','ר');
$UFS=array('ץ','ך','ךְ','ךּ','ף','ךָ','בּ','צּ','שּׂ','הּ','טּ','כּ','לּ','מּ','פּ','קּ'
	   ,'סּ','תּ','שּׁ','ש','ע','א','ב','צ','שׂ','ה','ט','כ','ל','מ',
           'פ','ק','ס','ת','','שׁ','ח','ם');
/******
$UA=array(mb_convert_encoding('&#1464;', 'utf-8', 'html-entities'),mb_convert_encoding('&#1462;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#1456;', 'utf-8', 'html-entities'),mb_convert_encoding('&#1457;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#1463;', 'utf-8', 'html-entities'),mb_convert_encoding('&#1461;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#1460;', 'utf-8', 'html-entities'),mb_convert_encoding('&#1465;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#1467;', 'utf-8', 'html-entities'),mb_convert_encoding('&#1459;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#1458;', 'utf-8', 'html-entities'));
******/
$UA=array('ָ','ֶ','ְ','ֱ','ַ','ֵ','ִ','ֹ','ֻ','ֳ','ֲ');
$UB=$UA;
$UC=$UA;
$MPP=array(96);
$UMPP=array('׃');
echo "<h3>標點符號</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSHebrew Graph</td><td>COBSHebrew</td><td>Unicode</td><td>備註</td></tr>';
  $ch="  ".htmlspecialchars(chr(96))."  ";
  $gch="  ".chr(96)."  ";
  $mp=pfont($gch);
echo "<tr><td>96</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$ch</font></td><td><font size=\"6\">׃</font></td>";
echo "<td>節尾</td></tr>";
  $ch="  ".htmlspecialchars(chr(112))."  ";
  $gch="  ".chr(112)."  ";
  $mp=pfont($gch);
echo "<tr><td>112</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$ch</font></td><td></td>";
echo "<td>句末符號</td></tr>";
  $ch="  ".htmlspecialchars(chr(115))."  ";
  $gch="  ".chr(115)."  ";
  $mp=pfont($gch);
echo "<tr><td>115</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$ch</font></td><td></td>";
echo "<td>節末符號</td></tr>";
echo "</table>";
echo "<h3>配合瘦子音字形的母音</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSHebrew Graph</td><td>COBSHebrew</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($A); $ii=$ii+1)
{
  $i= $A[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch="  ".chr($i).chr(71)."  ";
  $mp=pfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$gch</font></td>";
  echo "<td align=\"center\"><font size=\"6\">גּ".$UA[$ii]."</font></td>";
  echo "<td>多加 gimel 是為了顯示用</td></tr>";
}
 echo '</table>';
echo "<h3>配合胖子音字形的母音</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSHebrew Graph</td><td>COBSHebrew</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($B); $ii=$ii+1)
{
  $i= $B[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch="  ".chr($i).chr(66)."  ";
  $mp=pfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$gch</font></td>";
  echo "<td align=\"center\"><font size=\"6\">בּ".$UB[$ii]."</font></td>";
  echo "<td>多加 bet 是為了顯示用</td></tr>";
}
 echo '</table>';
echo "<h3>配合偏右子音字形的母音</h3>";
echo '<table border="1">';
echo '<tr><td>ASCII</td><td>English</td><td>COBSHebrew Graph</td><td>COBSHebrew</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($C); $ii=$ii+1)
{
  $i= $C[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch="  ".chr($i).chr(82)."  ";
  $mp=pfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$gch</font></td>";
  echo "<td align=\"center\"><font size=\"6\">רּ".$UC[$ii]."</font></td>";
  echo "<td>多加 res 是為了顯示用</td></tr>";
}
 echo '</table>';
echo "<h3>瘦子音字形</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSHebrew Graph</td><td>COBSHebrew</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($TS); $ii=$ii+1)
{
  $i= $TS[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch="  ".chr($i)."  ";
  $mp=pfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$ch</font></td>";
  echo "<td align=\"center\"><font size=\"6\">".$UTS[$ii]."</font></td>";
  echo "<td></td></tr>";
}
 echo '</table>';
echo "<h3>右子音字形</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSHebrew Graph</td><td>COBSHebrew</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($SS); $ii=$ii+1)
{
  $i= $SS[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch="  ".chr($i)."  ";
  $mp=pfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$ch</font></td>";
  echo "<td align=\"center\"><font size=\"6\">".$USS[$ii]."</font></td>";
  echo "<td></td></tr>";
}
 echo '</table>';
echo "<h3>胖子音字形</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSHebrew Graph</td><td>COBSHebrew</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($FS); $ii=$ii+1)
{
  $i= $FS[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch="  ".chr($i)."  ";
  $mp=pfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSHebrew\" size=\"6\">$ch</font></td>";
  echo "<td align=\"center\"><font size=\"6\">".$UFS[$ii]."</font></td>";
  echo "<td></td></tr>";
}
 echo '</table>';
?>
