<?php
/******產生希臘文圖形字型的程式 ******/
function igfont($message,$engs,$chap,$sec) //用來show出原文字圖形and trigger id
{
  global $GWCNT;
  $BASEDIR='gfont/'; //字型產生目錄
  $fontsize=24;    //字型大小
  $fontfile='/usr/local/share/fonts/COBSGreekWeb.ttf';  //字型檔案
  $pun=array(118, 59,106, 74, 39, 92,124, 91, 93, 38, 94,106,124,
             161,162,163,164,165,166,167,168,169,170,171,
              36, 37, 42, 43,126, 60, 33, 64);
  $delmi=array(',','.',':',';');
  if(strlen(trim($message))==0) 
  	return $message;                                              
  $nm=str_replace("\r\n",' <br/> ',$message);
  $nm=str_replace("\n",' <br/> ',$nm);
  $nm=trim($nm);
  $restxt='';
  $TEXTA = explode(' ', $nm);
  $cta=count($TEXTA);
  /**** add by tjm to add blank on single word ******/
  if ($cta==1) $TEXTA[0]='  '.$TEXTA[0].'  ';
  for ($i=0;$i<$cta;$i++) 
  {
	if(strlen(trim($TEXTA[$i]))==0) continue;
	if(strcmp(trim($TEXTA[$i]),'<br/>')==0) 
	{
		$restxt=$restxt.'<br />';
		continue;
	}
	 if (in_array(ord(substr($TEXTA[$i],1,1)),$pun))
              $TEXTA[$i]=' '.$TEXTA[$i];
      $sfile=bin2hex($TEXTA[$i]);
      $spdir=substr($sfile,0,2);
      $filename=$BASEDIR.$spdir.'/'.$sfile.'.png';
     /***** Process PNG GRAPH *****/
     if (!is_dir("{$BASEDIR}{$spdir}")) mkdir("{$BASEDIR}{$spdir}",0755);
     if (!file_exists($filename))
      {
        $FSIZE=imagettfbbox($fontsize,0,$fontfile,$TEXTA[$i]);
	$GX=$FSIZE[2]-$FSIZE[0]+2;
        $GY=$FSIZE[3]-$FSIZE[5];
	$YOFFSET=$GY/2;
	$GY=$GY+$YOFFSET;
        $pif1=ImageCreate($GX,$GY);
      	$BGCOLOR=ImageColorAllocate($pif1,255,255,255);//背景
	$trans=imagecolortransparent($pif1,$BGCOLOR);
      	$text_col=ImageColorAllocate($pif1,0,0,0x90);//文字顏色
      	imagefill($pif1,0,0,$BGCOLOR); //設定背景顏色
      	ImageTTFText($pif1,$fontsize,0,0,$GY-$YOFFSET,$text_col,$fontfile,$TEXTA[$i]);
      	ImagePNG($pif1,$filename);
      	ImageDestroy($pif1);
      }
	if (in_array(trim($TEXTA[$i]),$delmi))
         {
      		$restxt=$restxt.'<img align="middle" src="'.$filename.'" alt="'.htmlspecialchars($TEXTA[$i]).'"/>&nbsp;&nbsp;';
                continue;
         }

	 $cnt_msg="$GWCNT";
	 $GWCNT++;
      $restxt=$restxt.'<img align="middle" src="'.$filename.'" alt="'.htmlspecialchars($TEXTA[$i]).'" id="'.$cnt_msg.'" onmouseover="getpr(this ,'."'${engs}',${chap},{$sec}".');" onmouseout="clearpr();"/>&nbsp;&nbsp;';
      $cnt--;

   } //for i
   return $restxt;
}
/******產生希臘文圖形字型的程式 ******/
function gfont($message)
{
  $BASEDIR='gfont/'; //字型產生目錄
  $fontsize=24;    //字型大小
  //$fontfile="Bsthebre.ttf";  //字型檔案
  //$fontfile="/usr/local/share/fonts/cobsg.ttf";  //字型檔案
  $fontfile='/usr/local/share/fonts/COBSGreekWeb.ttf';  //字型檔案
  $pun=array(118, 59,106, 74, 39, 92,124, 91, 93, 38, 94,106,124,
             161,162,163,164,165,166,167,168,169,170,171,
              36, 37, 42, 43,126, 60, 33, 64);
   //$pun=array(118, 59,106, 74, 39, 92,124, 91, 93, 38, 94,106,124,
   //          17,18,19,20,21,22,23,28,29,30,31,36,37,42,43,126,60,33,64
   //         );
   //$pun=array(118, 59,106, 74, 39, 92,124, 91, 93, 38, 94,106,124,
   //          161,162,163,164,165,166,167,168,169,170,171,
   //         179,180,182,183,184,185,186,187);
  if(strlen(trim($message))==0) 
  	return $message;                                              
  $restxt='';
  $nm=str_replace("\r\n",' <br/> ',$message);
  $nm=str_replace("\n",' <br/> ',$nm);
     $TEXTA = explode(' ', $nm);
     $cta=count($TEXTA);
     /**** add by tjm to add blank on single word ******/
     if ($cta==1) $TEXTA[0]='  '.$TEXTA[0].'  ';
     for ($i=0;$i<$cta;$i++) 
     {
	if(strlen(trim($TEXTA[$i]))==0) continue;
	if(strcmp(trim($TEXTA[$i]),'<br/>')==0) 
	{
		$restxt=$restxt.'<br />';
		continue;
	}
      /***** Process line end 's' of Greek *****/
	//$TEXTA[$i]=ereg_replace("s$",chr(34),$TEXTA[$i]);
      /****** Process diaeresis .. ********************/
	//$TEXTA[$i]=ereg_replace("v[\+]",chr(63),$TEXTA[$i]);
	//$TEXTA[$i]=ereg_replace("\+",chr(62),$TEXTA[$i]);
	 if (in_array(ord(substr($TEXTA[$i],1,1)),$pun))
              $TEXTA[$i]=' '.$TEXTA[$i];

      $sfile=bin2hex($TEXTA[$i]);
      $spdir=substr($sfile,0,2);
      $filename=$BASEDIR.$spdir.'/'.$sfile.'.png';
     /***** Process PNG GRAPH *****/
     if (!is_dir("{$BASEDIR}{$spdir}")) mkdir("{$BASEDIR}{$spdir}",0755);
     if (!file_exists($filename))
      {
        $FSIZE=imagettfbbox($fontsize,0,$fontfile,$TEXTA[$i]);
	$GX=$FSIZE[2]-$FSIZE[0]+2;
        $GY=$FSIZE[3]-$FSIZE[5];
	$YOFFSET=$GY/2;
	$GY=$GY+$YOFFSET;
        $pif1=ImageCreate($GX,$GY);
      	$BGCOLOR=ImageColorAllocate($pif1,255,255,255);//背景
	$trans=imagecolortransparent($pif1,$BGCOLOR);
      	$text_col=ImageColorAllocate($pif1,0,0,0x90);//文字顏色
      	imagefill($pif1,0,0,$BGCOLOR); //設定背景顏色
      	ImageTTFText($pif1,$fontsize,0,0,$GY-$YOFFSET,$text_col,$fontfile,$TEXTA[$i]);
      	ImagePNG($pif1,$filename);
      	ImageDestroy($pif1);
      }
      $restxt=$restxt."<img align=\"middle\" src=\"$filename\" alt=\"orig\" />&nbsp; ";
   } //for i
   return $restxt;
}
?>
