<h2>希臘文鍵盤對照表</h2>
<?php
require("gfont.php");
 $AA=array(38,39,59,62,63,74,91,92,93,94,106,118,124);
 $Bpunn=array( 36, 37, 42, 43,126, 60, 33, 64);
  $iepunn=array(161,162,163,164,165,166,167,168,169,170,171);
 $AB=array(44,46,123,125);
 $AC=array(32,33,36,37,42,60,64,95,126); //刪除
 $AD=array(34,35,47,58,
           65,66,67,68,69,70,71,72,73,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,96,
	   97,98,99,100,101,102,103,104,105,107,108,109,110,111,112,113,114,115,116,117,119,120,121,122);
 $UAA=array(mb_convert_encoding('&#8158;', 'utf-8', 'html-entities'),mb_convert_encoding('&#8128;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#8175;', 'utf-8', 'html-entities'),mb_convert_encoding('&#776;', 'utf-8', 'html-entities'),mb_convert_encoding('&#8174;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#8190;', 'utf-8', 'html-entities'),mb_convert_encoding('&#8142;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#8143;', 'utf-8', 'html-entities'),mb_convert_encoding('&#8141;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#8157;', 'utf-8', 'html-entities'),mb_convert_encoding('&#8127;', 'utf-8', 'html-entities'),
mb_convert_encoding('&#8189;', 'utf-8', 'html-entities'),mb_convert_encoding('&#8159;', 'utf-8', 'html-entities'));
 $UAB=array(',','.','·',';');
 $UAD=array('ς','᾽','ι','῭',
 'Α','Β','Χ','Δ','Ε','Φ','Γ','Η','Ι','Κ','Λ','Μ','Ν','Ο','Π','Θ','Ρ','Σ','Τ','Υ','´','Ω','Ξ','Ψ','Ζ','`',
 'α','β','χ','δ','ε','φ','γ','η','ι','κ','λ','μ','ν','ο','π','θ','ρ','σ','τ','υ','ω','ξ','ψ','ζ');
 $orga=array(
             'A$/','H$/','W$/','aj/','hj/','wj/',
             'A%/','H%/','W%/','aJ/','hJ/','wJ/',
             'A</','H</','W</','a]/','h]/','w]/',
             'A@/','H@/','W@/','a^/','h^/','w^/',
             'A~/','H~/','W~/','a[/','h[/','w[/',
             'A!/','H!/','W!/','a&/','h&/','w&/',
             'A*/','H*/','W*/','a\\/','h\\/','w\\/',
             'A+/','H+/','W+/','a|/','h|/','w|/',
             'a;/','h;/','w;/',
             'A/','H/','W/','a/','h/','w/',
             'av/','hv/','wv/',"a'/","h'/","w'/",
             'A!','E!','H!','I!','O!','U!','W!','a&','e&','h&','i&','o&','u&','w&',
             "a'","h'","i'","u'","w'",
             'a;','e;','h;','i;','o;','u;','w;',
             'i>','u>','i?','u?',
             'A%','E%','H%','I%','O%','U%','W%','aJ','eJ','hJ','iJ','oJ','uJ','wJ',
             'A~','E~','H~','I~','O~','U~','W~','a[','e[','h[','i[','o[','u[','w[',
             'A*','E*','H*','I*','O*','U*','W*','a\\','e\\','h\\','i\\','o\\','u\\','w\\',
             'A<','E<','H<','I<','O<','U<','W<','a]','e]','h]','i]','o]','u]','w]',
             'A@','E@','H@','I@','O@','U@','W@','a^','e^','h^','i^','o^','u^','w^',
             'A$','E$','H$','I$','O$','W$','aj','ej','hj','ij','oj','uj','wj',
	     'Aj','Ej','Hj','Ij','Oj','Wj',
             'av','ev','hv','iv','ov','uv','wv',
             'A+','E+','H+','I+','O+','U+','W+','a|','e|','h|','i|','o|','u|','w|',
             'i:','u:'
             );
$uorg=array(
             'ᾈ','ᾘ','ᾨ','ᾀ','ᾐ','ᾠ',
             'ᾉ','ᾙ','ᾩ','ᾁ','ᾑ','ᾡ',
             'ᾊ','ᾚ','ᾪ','ᾂ','ᾒ','ᾢ',
             'ᾋ','ᾛ','ᾫ','ᾃ','ᾓ','ᾣ',
             'ᾌ','ᾜ','ᾬ','ᾄ','ᾔ','ᾤ',
             'ᾍ','ᾝ','ᾭ','ᾅ','ᾕ','ᾥ',
             'ᾎ','ᾞ','ᾮ','ᾆ','ᾖ','ᾦ',
             'ᾏ','ᾟ','ᾯ','ᾇ','ᾗ','ᾧ',
             'ᾲ','ῂ','ῲ',
             'ᾼ','ῌ','ῼ','ᾳ','ῃ','ῳ',
             'ᾴ','ῄ','ῴ','ᾷ','ῇ','ῷ',
             'Ἅ','Ἕ','Ἥ','Ἵ','Ὅ','Ὕ','Ὥ','ἅ','ἕ','ἥ','ἵ','ὅ','ὕ','ὥ',
             'ᾶ','ῆ','ῖ','ῦ','ῶ',
             'ὰ','ὲ','ὴ','ὶ','ὸ','ὺ','ὼ',
             'ϊ','ϋ','ΐ','ΰ',
             'Ἁ','Ἑ','Ἡ','Ἱ','Ὁ','Ὑ','Ὡ','ἁ','ἑ','ἡ','ἱ','ὁ','ὑ','ὡ',
             'Ἄ','Ἔ','Ἤ','Ἴ','Ὄ','὜','Ὤ','ἄ','ἔ','ἤ','ἴ','ὄ','ὔ','ὤ',
             'Ἆ','἞','Ἦ','Ἶ','὎','὞','Ὦ','ἆ','἖','ἦ','ἶ','὆','ὖ','ὦ',
             'Ἂ','Ἒ','Ἢ','Ἲ','Ὂ','὚','Ὢ','ἂ','ἒ','ἢ','ἲ','ὂ','ὒ','ὢ',
             'Ἃ','Ἓ','Ἣ','Ἳ','Ὃ','Ὓ','Ὣ','ἃ','ἓ','ἣ','ἳ','ὃ','ὓ','ὣ',
             'Ἀ','Ἐ','Ἠ','Ἰ','Ὀ',    'Ὠ','ἀ','ἐ','ἠ','ἰ','ὀ','ὐ','ὠ',
	     'Ἀ','Ἐ','Ἠ','Ἰ','Ὀ',    'Ὠ',
             'ά','έ','ή','ί','ό','ύ','ώ',
             'Ἇ','἟','Ἧ','Ἷ','὏','Ὗ','Ὧ','ἇ','἗','ἧ','ἷ','὇','ὗ','ὧ',
             'ῒ','ῢ'
             );

 echo "<h3>COBS字型與unicode重音符號及氣號</h3>";
echo '<table border="1">';
echo '<TR><td>id</td><td>COBSGreek</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($orga); $ii=$ii+1)
{
  $i= $orga[$ii];
  $ch="  ".htmlspecialchars(($i))."  ";
  echo "<tr><td>$ii</td><td><font face=\"COBSGreek\" size=\"6\">$ch</font></td>";
  echo '<td><font size="6">'.$uorg[$ii].'</font></td></tr>';
}
echo '</table>';
 echo "<h3>重音符號及氣號，多了Alpha是為了顯示用的</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSGreek Graph</td><td>COBSGreek</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($AA); $ii=$ii+1)
{
  $i= $AA[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch=" a".chr($i)."  ";
  $mp=gfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSGreek\" size=\"6\">$ch</font></td>";
  echo '<td><font size="6">α'.$UAA[$ii].'</font></td>';
  if ( $i==35)
   echo "<td>省略的記號</td></tr>\n"; 
  else if ($i==44) 
   echo "<td>逗號</td></tr>\n"; 
  else if ($i==46) 
   echo "<td>句號</td></tr>\n"; 
  else if ($i==123) 
   echo "<td>冒號或分號</td></tr>\n"; 
  else
   echo "<td></td></tr>\n"; 
}
  echo '</table>';
 echo "<h3>可疑的重音符號及氣號，多了Alpha是為了顯示用的</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSGreek Graph</td><td>COBSGreek</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($iepunn); $ii=$ii+1)
{
  $i= $iepunn[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch=" A".chr($i)."  a".chr($i)."  ";
  $mp=gfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSGreek\" size=\"6\">$ch</font></td>";
  echo '<td><font size="6">Α'.$UAA[$ii].'</font></td>';
  if ( $i==35)
   echo "<td>省略的記號</td></tr>\n"; 
  else if ($i==44) 
   echo "<td>逗號</td></tr>\n"; 
  else if ($i==46) 
   echo "<td>句號</td></tr>\n"; 
  else if ($i==123) 
   echo "<td>冒號或分號</td></tr>\n"; 
  else
   echo "<td></td></tr>\n"; 
}
  echo '</table>';
 echo "<h3>大寫重音符號及氣號，多了Alpha是為了顯示用的</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSGreek Graph</td><td>COBSGreek</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($Bpunn); $ii=$ii+1)
{
  $i= $Bpunn[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch=" A".chr($i)."  ";
  $mp=gfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSGreek\" size=\"6\">$ch</font></td>";
  echo '<td><font size="6">Α'.$UAA[$ii].'</font></td>';
  if ( $i==35)
   echo "<td>省略的記號</td></tr>\n"; 
  else if ($i==44) 
   echo "<td>逗號</td></tr>\n"; 
  else if ($i==46) 
   echo "<td>句號</td></tr>\n"; 
  else if ($i==123) 
   echo "<td>冒號或分號</td></tr>\n"; 
  else
   echo "<td></td></tr>\n"; 
}
  echo '</table>';
 echo "<h3>標點符號，多了Alpha是為了顯示用的</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSGreek Graph</td><td>COBSGreek</td><td>Unicode</td><td>備註</td></tr>';
for ($ii=0 ; $ii<count($AB); $ii=$ii+1)
{
  $i= $AB[$ii];
  $ch="  ".htmlspecialchars(chr($i))."  ";
  $gch=" a".chr($i)."  ";
  $mp=gfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSGreek\" size=\"6\">$ch</font></td>";
  echo '<td><font size="6">α'.$UAB[$ii].'</font></td>';
  if ( $i==35)
   echo "<td>省略的記號</td></tr>\n"; 
  else if ($i==44) 
   echo "<td>逗號</td></tr>\n"; 
  else if ($i==46) 
   echo "<td>句號</td></tr>\n"; 
  else if ($i==123) 
   echo "<td>冒號或分號</td></tr>\n"; 
  else
   echo "<td></td></tr>\n"; 
}
  echo '</table>';
/****** Use To List HEB Char ******/
 echo "<h3>希臘文字</h3>";
echo '<table border="1">';
echo '<TR><td>ASCII</td><td>English</td><td>COBSGreek Graph</td><td>COBSGreek</td><td>Unicode</td><td>備註</td></tr>';
for ($i=32 ; $i<=126; $i=$i+1)
{
  if (in_array($i,$AA)||in_array($i,$AB)||in_array($i,$AC)) continue;
  if ($i==47)
  {
  	$gch=" a".chr($i)."  "."A".chr(161)."  ";
  	$ch="  ".htmlspecialchars(chr($i))."  ";
  }
  else 
  {
  	$ch="  ".htmlspecialchars(chr($i))."  ";
  	$gch="  ".chr($i)."  ";
  }
  $mp=gfont($gch);
  echo "<tr><td>$i</td><td><font size=7>$ch</font><td align=center>$mp</td><td align=center><font face=\"COBSGreek\" size=\"6\">$ch</font></td>";
  $enkey=array_search($i,$AD);
  if ($enkey!==false)
  	echo '<td><font size="6">'.$UAD[$enkey].'</font></td>';
  else echo '<td></td>';
  if ( $i==35)
   echo "<td>省略的記號</td></tr>\n"; 
  else if ($i==44) 
   echo "<td>逗號</td></tr>\n"; 
  else if ($i==46) 
   echo "<td>句號</td></tr>\n"; 
  else if ($i==47) 
   echo "<td>多了alpha是為了顯示母音用的</td></tr>\n"; 
  else if ($i==123) 
   echo "<td>冒號或分號</td></tr>\n"; 
  else
   echo "<td></td></tr>\n"; 
}
  echo '</table>';
?>
