<?php
/******產生圖形字型的程式 ******/
function mfont($message)
{
  global $BASEDIR,$main_url;
  $MBASEDIR=$BASEDIR.'mfont/'; //字型產生目錄
  $FBASEDIR='mfont/'; //字型產生目錄
  $fontsize=14;    //字型大小
  //$fontfile="Bsthebre.ttf";  //字型檔案
  //$fontfile="/usr/local/share/fonts/cobsg.ttf";  //字型檔案
  $fontfile='/usr/local/share/fonts/twu3.ttf';  //字型檔案
  if(strlen(trim($message))==0) 
  return $message;                                              
  $restxt='';
  $TEXTL = preg_split("/[\r\n]/", $message);
  for ($j=0;$j<count($TEXTL);$j++)
  {
      if(strlen(trim($TEXTL[$j]))==0) continue;
     $TEXTA = explode(' ', $TEXTL[$j]);
     $cta=count($TEXTA);
     //if ($cta==1) $TEXTA[0]='  '.$TEXTA[0].'  ';
     for ($i=0;$i<$cta;$i++) 
     {
	if(strlen(trim($TEXTA[$i]))==0) continue;
	//hex 0131= Dec 305
        //TEXTA
	$TEXTA[$i]=str_replace( 'i̍', '&#305;̍',$TEXTA[$i]);//i8
        //echo $TEXTA[$i].'   ';
        $sfile=bin2hex($TEXTA[$i]);
        $spdir=substr($sfile,0,2);
        $filename=$MBASEDIR.$spdir.'/'.$sfile.'.png';
        $ffilename=$FBASEDIR.$spdir.'/'.$sfile.'.png';
       /***** Process PNG GRAPH *****/
     if (!is_dir("{$MBASEDIR}{$spdir}")) mkdir("{$MBASEDIR}{$spdir}",0755);
     if (!file_exists($filename))
      {
        $FSIZE=imagettfbbox($fontsize,0,$fontfile,$TEXTA[$i]);
	$GX=$FSIZE[2]-$FSIZE[0]+2;
        $GY=$FSIZE[3]-$FSIZE[5];
	$YOFFSET=$GY/2;
	$GY=$GY+$YOFFSET;
        $pif1=ImageCreate($GX,$GY);
      	$BGCOLOR=ImageColorAllocate($pif1,255,255,255);//背景
	$trans=imagecolortransparent($pif1,$BGCOLOR);
      	//$text_col=ImageColorAllocate($pif1,0,0,0x90);//文字顏色
      	$text_col=ImageColorAllocate($pif1,0,0,0);//文字顏色
      	imagefill($pif1,0,0,$BGCOLOR); //設定背景顏色
      	ImageTTFText($pif1,$fontsize,0,0,$GY-$YOFFSET,$text_col,$fontfile,$TEXTA[$i]);
      	ImagePNG($pif1,$filename);
      	ImageDestroy($pif1);
      }
	list($fwidth, $fheight, $fftype, $fattr) = getimagesize($filename);
      $restxt=$restxt."<img align=\"middle\" src=\"{$main_url}{$ffilename}\" alt=\"orig\" border=\"0\" width=\"{$fwidth}\" height=\"{$fheight}\"/>";
   } //for i
    if ($j<(count($TEXTL)-1))
       $restxt=$restxt.'<br />';
  } //for j
   return $restxt;
}

 //$mon=array('nn','N','oo','ou','a','i','u','e','o','OO','OU','Ou','A','I','U','E','O');//母音
 $mon=array('nn','N','ii','ou','a','i','u','e','o','Ii','II','OU','Ou','A','I','U','E','O');//母音
 $son=array('chh','tsh','ch','ts','kh','th','ph','p','ph','t','k','b','g','l',
	   'j','h','s','f','v','y');//子音
	//'f','v','y' 客語用，嚴格檢查拿掉
 $mson=array('ng','m','n','NG','M','Ng','N');//母子音共用
 $tail=array('t','p','k','h');//入聲字尾
 $sound=array('2','3','5','7','8','9');//調號
 $word=array('','','',0);
$tmon_weight=array(
   'a'=> 10,
   'A'=> 10,
   'ou'=>8,
   'Ou'=>8,
   'OU'=>8,
   'E'=>6,
   'e' => 6,
   'O'=>4,
   'o' =>4,
   'i' =>3,
   'I'=>3,
   'u'=>2,
   'U'=>2
 );
 $mon_weight=array(
   'a'=> 10,
   'A'=> 10,
   'ou'=>8,
   'Ou'=>8,
   'OU'=>8,
   'E'=>6,
   'e' => 6,
   'O'=>4,
   'o' =>4,
   'i' =>2,
   'I'=>2,
   'u'=>3,
   'U'=>3
 );
 //unicode 替換表
 $map_utf8 = array(
    'A2' => 'Á',
    'A3' => 'À',
    'A5' => 'Â',
    'A7' => 'Ā',
    'A8' => 'A̍',

    'a2' => 'á',
    'a3' => 'à',
    'a5' => 'â',
    'a7' => 'ā',
    'a8' => 'a̍',

    'E2' => 'É',
    'E3' => 'È',
    'E5' => 'Ê',
    'E7' => 'Ē',
    'E8' => 'E̍',

    'e2' => 'é',
    'e3' => 'è',
    'e5' => 'ê',
    'e7' => 'ē',
    'e8' => 'e̍',

    'I2' => 'Í',
    'I3' => 'Ì',
    'I5' => 'Î',
    'I7' => 'Ī',
    'I8' => 'I̍',

    'i2' => 'í',
    'i3' => 'ì',
    'i5' => 'î',
    'i7' => 'ī',
    'i8' => 'i̍',
    //'i8' => chr(1).chr(0x31).'̍',
    'M2' => 'Ḿ',
    'M3' => 'M̀',
    'M5' => 'M̂',
    'M7' => 'M̄',
    'M8' => 'M̍',

    'm2' => 'ḿ',
    'm3' => 'm̀',
    'm5' => 'm̂',
    'm7' => 'm̄',
    'm8' => 'm̍',

    'nn' => 'ⁿ',

    'N2' => 'Ń',
    'N3' => 'Ǹ',
    'N5' => 'N̂',
    'N7' => 'N̄',
    'N8' => 'N̍',

    'n2' => 'ń',
    'n3' => 'ǹ',
    'n5' => 'n̂',
    'n7' => 'n̄',
    'n8' => 'n̍',

    'O2' => 'Ó',
    'O3' => 'Ò',
    'O5' => 'Ô',
    'O7' => 'Ō',
    'O8' => 'O̍',

    'o2' => 'ó',
    'o3' => 'ò',
    'o5' => 'ô',
    'o7' => 'ō',
    'o8' => 'o̍',

    'OU0' => 'O͘',    // required
    'OU2' => 'Ò͘', //test
    'OU3' => 'Ó͘',
    'OU4' => 'O͘',    // required
    'OU5' => 'Ô͘',
    'OU7' => 'Ō͘',
    'OU8' => 'O̍͘',

    'Ou0' => 'O͘',    // required
    'Ou2' => 'Ò͘', //test
    'Ou3' => 'Ó͘',
    'Ou4' => 'O͘',    // required
    'Ou5' => 'Ô͘',
    'Ou7' => 'Ō͘',
    'Ou8' => 'O̍͘',

    'ou0' => 'o͘',    // required
    'ou2' => 'ó͘',
    'ou3' => 'ò͘',
    'ou4' => 'o͘',    // required
    'ou5' => 'ô͘',
    'ou7' => 'ō͘',
    'ou8' => 'o̍͘',

    'U2' => 'Ú',
    'U3' => 'Ù',
    'U5' => 'Û',
    'U7' => 'Ū',
    'U8' => 'U̍',

    'u2' => 'ú',
    'u3' => 'ù',
    'u5' => 'û',
    'u7' => 'ū',
    'u8' => 'u̍',
'a9' =>'ă',
'i9' =>'ĭ',
'u9' =>'ŭ',
'e9' => 'ĕ',
'o9' => 'ŏ',
'oo9'=>'ŏ͘',
'm9'=>'m̆ ',
'n9'=>'n̆g',
'A9'=>'Ă', 
'I9'=>'Ĭ', 
'U9'=>'Ŭ', 
'E9'=>'Ĕ', 
'O9'=>'Ŏ', 
'OU9'=>'Ŏ͘',  
'M9'=>'M̆ ', 
'N9'=>'N̆g',  
    'II0' => 'Ṳ',    // required
    'II2' => 'Ṳ́',
    'II3' => 'Ṳ̀',
    'II4' => 'Ṳ',    // required
    'II5' => 'Ṳ̂',
    'II7' => 'Ṳ̄',	//not used
    'II8' => '̍Ṳ̍',

    'ii0' => 'ṳ',    // required
    'ii2' => 'ṳ́',
    'ii3' => 'ṳ̀',
    'ii4' => 'ṳ',    // required
    'ii5' => 'ṳ̂',
    'ii7' => 'ṳ̄',	//not used
    'ii8' => 'ṳ̍'
);
 //用來把一個parse過的羅馬拼音詞轉換成 unicode
 function tran_utf8()
 {
	global $word,$mon,$mson,$map_utf8,$mon_weight,$tmon_weight;
	if (strlen($word[1])==0) return;//沒有母音
	if (strlen($word[1])==1) $mpt=0;
	elseif (strncasecmp($word[1],'im',2)==0) $mpt=0;//erase im in
	elseif (strncasecmp($word[1],'in',2)==0) $mpt=0;
	elseif (strncasecmp($word[1],'ii',2)==0) $mpt=0;//add by tjm for Hakka
	elseif (strncasecmp($word[1],'i',1)==0) $mpt=1;
	else $mpt=0;
	/*******************************
	 echo 'son ';
                echo " $word[0] <br>\n";
                echo 'mon ';
                echo " $word[1] <br>\n";
                echo 'tail ';
                echo " $word[2] <br>\n";
                echo 'sound ';
                echo " $word[3] <br>\n";
        **********************************/
	//處理鼻音
	$str=$word[1];
	if (strcmp(substr($str,strlen($str)-1,1),'N')==0)
	{
		$pad=$map_utf8['nn'];
		$str=substr($str,0,strlen($str)-1);
	}
	elseif (strcmp(substr($str,strlen($str)-2,2),'nn')==0)
	{
		$pad=$map_utf8['nn'];
		$str=substr($str,0,strlen($str)-2);
	}
	else $pad='';
	$nstr='';
        $cnt=0;
        $cnt_mon=count($mon);
        $cnt_mson=count($mson);
        $mstak=array();
        $mscnt=0;
        while(strlen($str)>0)
        {
                for ($i=2;$i<$cnt_mon;$i=$i+1)//處理純母音
                {
                        $code=$mon[$i];
                        if (strncmp($str,$code,strlen($code))==0)
                        {
                           if ($cnt==$mpt)//加聲調
                           {
                                $mstak[$mscnt++]=$code;
                           }
                           else
                                $mstak[$mscnt++]=$code;
                           $str=substr($str,strlen($code));
                           $cnt=$cnt+1;
                           continue 2; //return while
                        }

                }
                for ($i=0;$i<$cnt_mson;$i=$i+1)//處理母子音共用
                {
                        $code=$mson[$i];
                        $ngpad='';
                        if (strncmp($str,$code,strlen($code))==0)
                        {
                           if ($cnt==$mpt)//加聲調
                           {
                                $mstak[$mscnt++]=$code;
                           }
                           else
                                $mstak[$mscnt++]=$code;
                           $str=substr($str,strlen($code));
                           $cnt=$cnt+1;
                           continue 2; //return while
                        }
                }
                echo "error in ".$str;
                 $str=substr($str,1);
        }//while
        $maxs=-3;
        $maxpt=0;
        $nstr='';
        $ngpad='';
	      if ($mscnt==1)
                    $maxpt=0;
              else if ($mscnt>1)
              { 
                $maxpt=1;
                if ($mstak[1]=='i'||$mstak[1]=='I'||$mstak[1]=='ng' || $mstak[1]=='NG'||$mstak[1]=='Ng'
                    ||$mstak[1]=='m'||$mstak[1]=='M'||$mstak[1]=='n'||$mstak[1]=='N')
                        $maxpt=0;
                for ($i=0;$i<$mscnt;$i=$i+1)
                {       
                        if ($mstak[$i]=='a' || $mstak[$i]=='A')
                                $maxpt=$i;
                }
                if (/***$word[2]=='' &&**/ $maxpt>=1 && $mscnt==2 && ($mstak[$maxpt-1]=='o'||$mstak[$maxpt-1]=='O') &&
                   ($mstak[$maxpt]=='e'||$mstak[$maxpt]=='E'||$mstak[$maxpt]=='a'||$mstak[$maxpt]=='A'))
                        $maxpt=$maxpt-1;
              }
        /***********
               for ($i=0;$i<$mscnt;$i=$i+1)
                {
                        $nows=(int) $mon_weight[$mstak[$i]];
                        if ($nows > $maxs)
                        {
                                $maxs=$nows;
                                $maxpt=$i;
                        }
                }
	*****************/
        for ($i=0;$i<$mscnt;$i=$i+1)
        {
                $code=$mstak[$i];
                if ($i==$maxpt) //add 1234
                {
                         if (strcasecmp($code,'ng')==0 && (int) $word[3]>0) //ng3 to n3g
                         {
                                 $sear=substr($code,0,1).$word[3];
                                 $ngpad=substr($code,1,1);
                         }
                         else
                                $sear=$code.$word[3];
                }
                else $sear=$code;
                if (strlen($map_utf8[$sear])==0) // 找不到
                     $nstr=$nstr.$code;
                else
                      $nstr=$nstr.$map_utf8[$sear];
        }
        $word[1]=$nstr.$ngpad.$pad;
 }
 //用來把羅馬拼音parse 成四個部份
 function par_ro($str)
 {
	global $mon, $son,$mson,$tail,$sound,$word,$status;
	$str=trim($str);
	$len=strlen($str);
	$status=1;
 	$word=array('','','',0);
	if ($len<=0) return('');
	//鼻音N或nn
	//一個羅馬拼音是由 [子音]母音[入聲尾][調號] 組成，一定有母音
	$mode=0;
	$pt=0;
	$tmpmon='';
         $bktmpmon='';
	while ($len>0)//parse 主迴圈
	{
		switch ($mode)
		{
			case 0: //檢查母子音共用
     				foreach ($mson as $code) 
				{
					if (strncmp($str,$code,strlen($code))==0)
					{
					     $word[$mode]=$word[$mode].$code;
					     $str=substr($str,strlen($code));
					     $len=strlen($str);
					     $tmpmon=$code;
						$mode=1;
					     continue 3; //return while
					}
				}
				//沒成功，檢查子音
     				foreach ($son as $code) 
				{
					if (strncasecmp($str,$code,strlen($code))==0)
					{
					     $word[$mode]=$word[$mode].substr($str,0,strlen($code));
					     $str=substr($str,strlen($code));
					     $len=strlen($str);
					 	 $bktmpmon=$tmpmon;//hmh
					     $tmpmon='';
						$mode=1;
					     continue 3; //return while
					}
	     			}
				//鐵定進入母音區
				$mode=1;
			case 1://檢查母音
				//檢查共用母音
     				foreach ($mson as $code) 
				{
					if (strncmp($str,$code,strlen($code))==0)
					{
					     $word[$mode]=$word[$mode].$code;
					     $str=substr($str,strlen($code));
					     $len=strlen($str);
					     $tmpmon='';
					     continue 3; //return while
					}
				}
     				foreach ($mon as $code) 
				{
					if (strncmp($str,$code,strlen($code))==0)
					{
					     $word[$mode]=$word[$mode].$code;
					     $str=substr($str,strlen($code));
					     $len=strlen($str);
					     $tmpmon='';
					     continue 3; //return while
					}
	     			}
				//沒母音檢查共用母音
				if (strlen($tmpmon)>0)
				{
					$word[$mode]=$tmpmon;
					$testw=substr($word[0],strlen($word[0])-strlen($tmpmon));
					if (strncmp($testw,$tmpmon,strlen($tmpmon))==0)
						$word[0]=substr($word[0],0,strlen($word[0])-strlen($tmpmon));
					//echo "tmpmon= $tmpmon $testw<br>\n";
				} 
				else//hmh這種問題，入聲詞尾只有一個字母
                                {
                                        if (strlen($bktmpmon)>0)
                                        {
                                                $word[$mode]=$bktmpmon;
                                                $word[2]=substr($word[0],strlen($word[0])-1);
                                                $word[0]=substr($word[0],0,strlen($word[0])-1);//除去入聲尾
                                                $testw=substr($word[0],strlen($word[0])-strlen($bktmpmon));
                                                if (strncmp($testw,$bktmpmon,strlen($bktmpmon))==0)
                                                        $word[0]=substr($word[0],0,strlen($word[0])-strlen($bktmpmon));
                                        }
                                }
				$mode=2;
			case 2:
				//檢查入聲詞尾
     				foreach ($tail as $code) 
				{
					if (strncasecmp($str,$code,strlen($code))==0)
					{
					     $word[$mode]=$word[$mode].substr($str,0,strlen($code));
					     $str=substr($str,strlen($code));
					     $len=strlen($str);
						$mode=3;
					     continue 3; //return while
					}
				}
				$mode=3;
			case 3://檢查調號
     				foreach ($sound as $code) 
				{
					if (strncmp($str,$code,strlen($code))==0)
					{
					     $word[$mode]=(int) $code;
					     $str=substr($str,strlen($code));
					     $len=strlen($str);
					}
				}
				//最後檢查是否還有剩餘，如果還有剩餘，就是error
				if (strlen($str)>0 || strlen($word[1])==0)
					$status=0;
				else    $status=1;
				$len=0; //一定跳出去
				continue 2;

		}//switch
	}//WHILE
	//如果沒有調號與鼻音就不用轉
	// if (strlen($word[2])==0 && (int) $word[3]==0 && stristr($word[1],'ou')===false
        //        && (strcmp(substr($word[1],strlen($word[1])-1,1),'N')!=0))
        //         $status=0;
	return $status;
 }
 //用來把整段文章轉成 unicode
 function to_utf8($txt,$graph)
 {
        $padd=array('gif','jpg','png','doc','ppt','mp3','a','ms','loop');
	global $word;
	$ans='';
	$tok='';
	while (strlen($txt)>0)
	{
		$now=substr($txt,0,1);
		$txt=substr($txt,1);
		$asc=ord($now);
		if ((strlen($tok)>0 && 48<=$asc && $asc<=57)||(65<=$asc && $asc<=90)||(97<=$asc && $asc<=122))
		{
			$tok=$tok.$now;
		}
		else//不是羅馬拼音範圍
		{
			if (strlen($tok)>0)//有東西
			{
	       			if (in_array(strtolower($tok),$padd))
					$ans=$ans.$tok;
				else if (par_ro($tok))
                		{
                        		tran_utf8();
					if ($graph==0)
                        			$ans=$ans.$word[0].$word[1].$word[2];
					else
						$ans=$ans.mfont($word[0].$word[1].$word[2]);
					
                		}
				else 
				{
					//echo "error in $tok <br>\n";
					$ans=$ans.$tok;
				}
				$tok='';
			}//strlen($tok)
			//if ($graph==0)
			//{
				 if ($asc>0x80)//unicode 中文
                        	{
                                $nc=1;
                                if ($asc>=0xFC) $nc=6;
                                else if ($asc>=0xF8) $nc=5;
                                else if ($asc>=0xF0) $nc=4;
                                else if ($asc>=0xF0) $nc=3;
                                else if ($asc>=0xE0) $nc=2;
                                else if ($asc>=0xC0) $nc=1;
                                $ans=$ans.$now.substr($txt,0,$nc);
                                 $txt=substr($txt,$nc);
                        	}
				else
				{
					$ans=$ans.$now;
				}
			/******************
			}
			else
			{
				if ($asc>=128)//big5 中文
				{
					$ans=$ans.$now.substr($txt,0,1);
				 	$txt=substr($txt,1);
				}
				else
				{
					$ans=$ans.$now;
				}
			}
			***********************/
		}
	}//while
	if (strlen($tok)>0)//有東西
        {
	       if (in_array(strtolower($tok),$padd))
			$ans=$ans.$tok;
               else if (par_ro($tok))
               {
                        tran_utf8();
			if ($graph==0)
                       		$ans=$ans.$word[0].$word[1].$word[2];
			else
				$ans=$ans.mfont($word[0].$word[1].$word[2]);
               }
               else
               {
                        //echo "error in $tok <br>\n";
                        $ans=$ans.$tok;
               }
               $tok='';
       }//strlen($tok)
	return $ans;
 }
?>
