<?php
function procstrong($strongflag,$bibletxt)
{
 require('config.php');
 global $updatemode,$mobile;
 $allpunc=array('，','。','？','、','！','：','；','「','」','─','【','】','〈','〉','（','）');
 if ($strongflag)
 {
        //return $bibletxt;
    $tmp=$bibletxt;
    //避免 {} 被當成中文對應
    $tmp=preg_replace("/\{(<(WAH|WH|WTH|WG|WTG|WAG)[0-9]+>)\}/",' \\1 ',$tmp);
    $bibletxt='';
    $inruby=0;
    $lookahead='';
    while (!(($pt=strpos($tmp,'<'))===false))
    {
        $ok1=substr($tmp,0,$pt);
	$ok=htmlspecialchars($ok1);
	$punc=substr($ok,0,2);
	if (in_array($punc,$allpunc)) //是標點
	{
		$bibletxt=$bibletxt.$punc;
		$ok=substr($ok,2);
		$punc=substr($ok,0,2);
	}
	if (strlen($ok)>0)
	{
		$oklen=strlen($ok)-1;
		if (strcmp(substr($ok,$oklen),' ')==0  && strlen($ok)>2)//最後是空白,表示接{<
        		$bibletxt=$bibletxt."<ruby><rb>".trim($ok)."</rb><rt>&nbsp;</rt></ruby><ruby><rb>&nbsp;</rb>";
		else
        	        $bibletxt=$bibletxt."<ruby><rb>".$ok."</rb>";
	}
	else
	    if (strcmp($lookahead,"<")!==0)
        	$bibletxt=$bibletxt."<ruby><rb>&nbsp;</rb>";
        $pt1=strpos($tmp,">");
        if ($pt1==0)
        {
           echo "error in strong number parsing $tmp <br>";
           return;
        }
 	/**** Add process to strong num ***/
	$stronum=substr($tmp,$pt+1,$pt1-$pt-1);
	$lookahead=substr($tmp,$pt1+1,1); //看看接著的是不是 <
	if (!($np=strpos($stronum,"WG")===false)) //WG
	{
		$snum=substr($stronum,$np+2);
		if ($inruby==0)
		   {
		    	$sqry="<rt><a href=\"{$SP}?N=0&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
			$inruby=1;
		   }
		else
		    $sqry="<a href=\"{$SP}?N=0&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
	  if (strcmp($lookahead,"<")==0)
	  {
	  	if ($updatemode)
	     	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WG".$snum.">")."</a>";
	  	else
	           $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a>";
          }
          else
         {
	  	if ($updatemode)
	     	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WG".$snum.">")."</a></rt></ruby>";
	  	else
	           $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a></rt></ruby>";
		$inruby=0;
         }
	}
	elseif (!($np=strpos($stronum,"WAG")===false)) //WAG
	{
		$snum=substr($stronum,$np+3);
		if ($inruby==0)
		{
			$sqry="<rt><a href=\"{$SP}?N=0&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
			$inruby=1;
		}
		else
		  $sqry="<a href=\"{$SP}?N=0&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
	  if (strcmp($lookahead,"<")==0)
	  {
	       	if ($updatemode)
	            $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WAG".$snum.">")."</a>";
	  	else
	     	    $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a>";
	  }
	  else
	  {
	       	if ($updatemode)
	            $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WAG".$snum.">")."</a></rt></ruby>";
	  	else
	     	    $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a></rt></ruby>";
		$inruby=0;
	  }
	}
	elseif (!($np=strpos($stronum,"WTG")===false))
	{
		$snum=substr($stronum,$np+3);
		if ($inruby==0)
		{
			$sqry="<rt><a href=\"{$SP}?N=0&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
			$inruby=1;
		}
		else
			$sqry="<a href=\"{$SP}?N=0&amp;k=${snum}&amp;m={$mobile}\"  target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
	  if (strcmp($lookahead,"<")==0)
	  {
	  	if ($updatemode)
	            $bibletxt=$bibletxt.$sqry.htmlspecialchars("(WTG".$snum.")")."</a>";
	  	else
	            $bibletxt=$bibletxt.$sqry.htmlspecialchars("(".$snum.")")."</a>";
	  }
	  else
	  {
	  	if ($updatemode)
	            $bibletxt=$bibletxt.$sqry.htmlspecialchars("(WTG".$snum.")")."</a></rt></ruby>";
	  	else
	            $bibletxt=$bibletxt.$sqry.htmlspecialchars("(".$snum.")")."</a></rt></ruby>";
		$inruby=0;
	  }
	}
	elseif (!($np=strpos($stronum,"WH")===false))
	{
		$snum=substr($stronum,$np+2);
		if ($inruby==0)
		{
		    $sqry="<rt><a href=\"{$SP}?N=1&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
		    $inruby=1;
		}
		else
		     $sqry="<a href=\"{$SP}?N=1&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
	  if (strcmp($lookahead,"<")==0)
          {
	  	if ($updatemode)
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WH".$snum.">")."</a>";
	  	else
	       	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a>";
	  }
	  else
	 {
	  	if ($updatemode)
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WH".$snum.">")."</a></rt></ruby>";
	  	else
	       	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a></rt></ruby>";
		$inruby=0;
	 }
	}
	elseif (!($np=strpos($stronum,"WTH")===false))
	{
		$snum=substr($stronum,$np+3);
		if ($inruby==0)
                {
			$sqry="<rt><a href=\"{$SP}?N=1&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
			$inruby=1;
		}
		else
			$sqry="<a href=\"{$SP}?N=1&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
	  if (strcmp($lookahead,"<")==0)
          {
	  	if ($updatemode)
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("(WTH".$snum.")")."</a>";
	  	else
	       	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("(".$snum.")")."</a>";
	  }
	  else
	  {
	  	if ($updatemode)
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("(WTH".$snum.")")."</a></rt></ruby>";
	  	else
	       	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("(".$snum.")")."</a></rt></ruby>";
		$inruby=0;
	  }
	}
	elseif (!($np=strpos($stronum,"WAH")===false))
	{
		$snum=substr($stronum,$np+3);
		 if ($inruby==0)
                {
			$sqry="<rt><a href=\"{$SP}?N=1&amp;k=${snum}&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
		 	$inruby=1;
		}
		else
			$sqry="<a href=\"{$SP}?N=1&amp;k=$snum&amp;m={$mobile}\" target=\"nw\" onmouseover=\"getsn(this);\" onmouseout=\"clearsn();\">";
	  if (strcmp($lookahead,"<")==0)
          {
	  	if ($updatemode)
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WAH".$snum.">")."</a>";
	  	else
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a>";
	  }
	  else
	  {
	  	if ($updatemode)
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<WAH".$snum.">")."</a></rt></ruby>";
	  	else
	    	   $bibletxt=$bibletxt.$sqry.htmlspecialchars("<".$snum.">")."</a></rt></ruby>";
		$inruby=0;
	  }
	}
        elseif (!($np=strpos($stronum,"FI")===false))
          if (!(strpos($bibletxt,"<ruby>")===false))
                $bibletxt=$bibletxt."</ruby><I>";
          else $bibletxt=$bibletxt."<I>";
        elseif (!($np=strpos($stronum,"Fi")===false))
          if (!(strpos($bibletxt,"<ruby>")===false))
                $bibletxt=$bibletxt."</ruby></I>";
          else $bibletxt=$bibletxt."</I>";
        elseif (!($np=strpos($stronum,"RF")===false))
          if (!(strpos($bibletxt,"<ruby>")===false))
                $bibletxt=$bibletxt."</ruby><I>{";
          else $bibletxt=$bibletxt."<I>{";
        elseif (!($np=strpos($stronum,"Rf")===false))
          if (!(strpos($bibletxt,"<ruby>")===false))
                $bibletxt=$bibletxt."</ruby>}</I>";
          else $bibletxt=$bibletxt."}<I>";
        elseif (!($np=strpos($stronum,"CM")===false))
          $bibletxt=$bibletxt;
	else
	{
		$bibletxt=$bibletxt."[".$stronum."]";
	}
        $tmp=substr($tmp,$pt1+1);
    }
    //$bibletxt=$bibletxt.$tmp;
    if (strlen($tmp)>0)
        $bibletxt=$bibletxt."<ruby><rb>".$tmp."</rb><rt>&nbsp;</rt></ruby>";
	/******
    if (strlen($bibletxt)==0) return $tmp; //表示沒有編號
    else return $bibletxt;
      ****/
	return $bibletxt;
 }
 else
 {
    $tmp=$bibletxt;
    $bibletxt="";
    while (!(($pt=strpos($tmp,"<"))===false))
    {
        $ok=substr($tmp,0,$pt);
	if (strcmp(substr($ok,strlen($ok)-1,1),"{")==0) //中文沒有翻出編號加{
          {
	    $bok=substr($ok,strlen($ok)-1);
	    $ok=substr($ok,0,strlen($ok)-1);
	    $quoted=1;
          }
	else $quoted=0;
        $bibletxt=$bibletxt.$ok;
        $pt=strpos($tmp,">");
        if ($pt==0)
        {
           echo "error in strong number parsing $tmp <br>";
           return;
        }
	if (strcmp(substr($tmp,$pt+1,1),"}")==0) //中文沒有翻出編號加}
        	$tmp=substr($tmp,$pt+2);
	else
	  {	
        	$tmp=substr($tmp,$pt+1);
		if ($quoted) $bibletxt=$bibletxt.$bok; //中文會有「{」，如[臨]
          }
    }
        $bibletxt=$bibletxt.$tmp;
    /****
    if (strlen($bibletxt)==0) return $tmp; //表示沒有編號
    else return $bibletxt;
    *****/
    return $bibletxt;
 }
}
